Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.springframework.http
Enum HttpStatus.Series

    java.lang.Object
      java.lang.Enum<HttpStatus.Series>
          org.springframework.http.HttpStatus.Series

All Implemented Interfaces:
  Serializable, Comparable<HttpStatus.Series>

Enclosing class:
  HttpStatus

    public static enum HttpStatus.Series

extends Enum<HttpStatus.Series>

Java 5 enumeration of HTTP status series.

Retrievable via `HttpStatus.series()`.

Enum Constant Summary
`CLIENT_ERROR`
`INFORMATIONAL`
`REDIRECTION`
`SERVER_ERROR`
`SUCCESSFUL`

Method Summary
`int` | `value()` Return the integer value of this status series.
`static HttpStatus.Series` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HttpStatus.Series[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INFORMATIONAL

    public static final HttpStatus.Series INFORMATIONAL

### SUCCESSFUL

    public static final HttpStatus.Series SUCCESSFUL

### REDIRECTION

    public static final HttpStatus.Series REDIRECTION

### CLIENT_ERROR

    public static final HttpStatus.Series CLIENT_ERROR

### SERVER_ERROR

    public static final HttpStatus.Series SERVER_ERROR

Method Detail

### values

    public static HttpStatus.Series[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HttpStatus.Series c : HttpStatus.Series.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HttpStatus.Series valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public int value()

  Return the integer value of this status series. Ranges from 1 to 5.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD